#' The scripts are run according to their numbering system (roughly). They sometimes need to call other scripts that are written for re-usable purposes, such as calculation of TPM values or GC content.
#' For some scripts, it is possible to run the spin function from knitr so that a report summarizing the results is generated. From here you can run the ones for which this functionality is available.
#'
#' 
#' 
#' 
setwd("C:/Users/GianniMonaco/Desktop/Work/Deconvolution/") # set the working directory to the folder containing the data
library(knitr)

spin("C:/Users/GianniMonaco/Dropbox/_Deconvolution_paper/Src/3b.PreProcessMicroarray.R")

SaveName <- "kal_genes" # assign a value between STAR, STAR_EL, kal_tx and kal_genes
source("C:/Users/GianniMonaco/Dropbox/_Deconvolution_paper/Src/4.RNAseqObj.R") # load the data that you intend analyze

    spin("C:/Users/GianniMonaco/Dropbox/_Deconvolution_paper/Src/5.Edanorm.R")  # Exploratory data analysis on normalization strategies
    

